EXPREL(3)

SYNOPSIS
FUNCTION EXPREL (X)

NAME
exprel - Calculate the relative error exponential (EXP(X)-1)/X.

LIBRARY
SLATEC (FNLIB)

CATEGORY
C4B

TYPE
SINGLE PRECISION (EXPREL-S, DEXPRL-D, CEXPRL-C)

KEYWORDS
ELEMENTARY FUNCTIONS, EXPONENTIAL, FIRST ORDER, FNLIB

AUTHOR
Fullerton, W., (LANL)

DESCRIPTION
Evaluate EXPREL(X) = (EXP(X) - 1.0) / X. For small ABS(X) the Taylor series is used. If X is negative, the reflection formula EXPREL(X) = EXP(X) * EXPREL(ABS(X)) may be used. This reflection formula will be of use when the evaluation for small ABS(X) is done by Chebyshev series rather than Taylor series. EXPREL and X are single precision.

REFERENCES
(NONE)

ROUTINES CALLED
R1MACH

REVISION HISTORY (YYMMDD)
770801 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890531 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)